VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
AGainController Class Reference

`#include <againcontroller.h>`

Inheritance diagram for AGainController:

## Public Types
using | UIMessageController = AGainUIMessageController<AGainController>
using | UTF8StringPtr = VSTGUI::UTF8StringPtr
using | IUIDescription = VSTGUI::IUIDescription
using | IController = VSTGUI::IController
using | VST3Editor = VSTGUI::VST3Editor
Public Types inherited from EditControllerEx1
typedef std::map< ProgramListID, ProgramListVector::size_type > | ProgramIndexMap
typedef std::vector< IPtr< Unit > > | UnitVector

## Public Member Functions
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setComponentState (IBStream *state) SMTG_OVERRIDE
IPlugView * | createView (const char *name) SMTG_OVERRIDE
tresult | setState (IBStream *state) SMTG_OVERRIDE
tresult | getState (IBStream *state) SMTG_OVERRIDE
tresult | setParamNormalized (ParamID tag, ParamValue value) SMTG_OVERRIDE
tresult | getParamStringByValue (ParamID tag, ParamValue valueNormalized, String128 string) SMTG_OVERRIDE
tresult | getParamValueByString (ParamID tag, TChar *string, ParamValue &valueNormalized) SMTG_OVERRIDE
tresult | receiveText (const char *text) SMTG_OVERRIDE
tresult | getMidiControllerAssignment (int32 busIndex, int16 channel, CtrlNumber midiControllerNumber, ParamID &tag) SMTG_OVERRIDE
IController * | createSubController (UTF8StringPtr name, const IUIDescription *description, VST3Editor *editor) SMTG_OVERRIDE
| DELEGATE_REFCOUNT (EditController) tresult queryInterface(const char *iid
void | addUIMessageController (UIMessageController *controller)
void | removeUIMessageController (UIMessageController *controller)
void | setDefaultMessageText (String128 text)
TChar * | getDefaultMessageText ()
Public Member Functions inherited from EditControllerEx1
| EditControllerEx1 ()
| ~EditControllerEx1 () override
tresult | terminate () SMTG_OVERRIDE
bool | addUnit (Unit *unit)
bool | addProgramList (ProgramList *list)
ProgramList * | getProgramList (ProgramListID listId) const
tresult | notifyProgramListChange (ProgramListID listId, int32 programIndex=kAllProgramInvalid)
int32 | getUnitCount () SMTG_OVERRIDE
tresult | getUnitInfo (int32 unitIndex, UnitInfo &info) SMTG_OVERRIDE
int32 | getProgramListCount () SMTG_OVERRIDE
tresult | getProgramListInfo (int32 listIndex, ProgramListInfo &info) SMTG_OVERRIDE
tresult | getProgramName (ProgramListID listId, int32 programIndex, String128 name) SMTG_OVERRIDE
tresult | getProgramInfo (ProgramListID listId, int32 programIndex, CString attributeId, String128 attributeValue) SMTG_OVERRIDE
tresult | hasProgramPitchNames (ProgramListID listId, int32 programIndex) SMTG_OVERRIDE
tresult | getProgramPitchName (ProgramListID listId, int32 programIndex, int16 midiPitch, String128 name) SMTG_OVERRIDE
virtual tresult | setProgramName (ProgramListID listId, int32 programIndex, const String128 name)
UnitID | getSelectedUnit () SMTG_OVERRIDE
tresult | selectUnit (UnitID unitId) SMTG_OVERRIDE
tresult | getUnitByBus (MediaType, BusDirection, int32, int32, UnitID &) SMTG_OVERRIDE
tresult | setUnitProgramData (int32, int32, IBStream *) SMTG_OVERRIDE
virtual tresult | notifyUnitSelection ()
void | update (FUnknown *changedUnknown, int32 message) SMTG_OVERRIDE
Public Member Functions inherited from EditController
| EditController ()
tresult | setComponentState (IBStream *state) SMTG_OVERRIDE
tresult | setState (IBStream *state) SMTG_OVERRIDE
tresult | getState (IBStream *state) SMTG_OVERRIDE
int32 | getParameterCount () SMTG_OVERRIDE
tresult | getParameterInfo (int32 paramIndex, ParameterInfo &info) SMTG_OVERRIDE
tresult | getParamStringByValue (ParamID tag, ParamValue valueNormalized, String128 string) SMTG_OVERRIDE
tresult | getParamValueByString (ParamID tag, TChar *string, ParamValue &valueNormalized) SMTG_OVERRIDE
ParamValue | normalizedParamToPlain (ParamID tag, ParamValue valueNormalized) SMTG_OVERRIDE
ParamValue | plainParamToNormalized (ParamID tag, ParamValue plainValue) SMTG_OVERRIDE
ParamValue | getParamNormalized (ParamID tag) SMTG_OVERRIDE
tresult | setParamNormalized (ParamID tag, ParamValue value) SMTG_OVERRIDE
tresult | setComponentHandler (IComponentHandler *handler) SMTG_OVERRIDE
IPlugView * | createView (FIDString) SMTG_OVERRIDE
tresult | setKnobMode (KnobMode mode) SMTG_OVERRIDE
tresult | openHelp (TBool) SMTG_OVERRIDE
tresult | openAboutBox (TBool) SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
virtual tresult | beginEdit (ParamID tag)
virtual tresult | performEdit (ParamID tag, ParamValue valueNormalized)
virtual tresult | endEdit (ParamID tag)
virtual tresult | startGroupEdit ()
virtual tresult | finishGroupEdit ()
virtual void | editorDestroyed (EditorView *)
virtual void | editorAttached (EditorView *)
virtual void | editorRemoved (EditorView *)
virtual Parameter * | getParameterObject (ParamID tag)
virtual tresult | getParameterInfoByTag (ParamID tag, ParameterInfo &info)
virtual tresult | setDirty (TBool state)
virtual tresult | requestOpenEditor (FIDString name=ViewType::kEditor)
IComponentHandler * | getComponentHandler () const
Public Member Functions inherited from ComponentBase
| ComponentBase ()
| ~ComponentBase () override
FUnknown * | getHostContext () const
IConnectionPoint * | getPeer () const
IMessage * | allocateMessage () const
tresult | sendMessage (IMessage *message) const
tresult | sendTextMessage (const char8 *text) const
tresult | sendMessageID (const char8 *messageID) const
tresult | connect (IConnectionPoint *other) SMTG_OVERRIDE
tresult | disconnect (IConnectionPoint *other) SMTG_OVERRIDE
tresult | notify (IMessage *message) SMTG_OVERRIDE
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Member Functions
static FUnknown * | createInstance (void *)
Static Public Member Functions inherited from EditController
static KnobMode | getHostKnobMode ()

## Public Attributes
void **obj | SMTG_OVERRIDE
Public Attributes inherited from EditControllerEx1
UnitVector | units
ProgramListVector | programLists
ProgramIndexMap | programIndexMap
UnitID | selectedUnit
Public Attributes inherited from EditController
OBJ_METHODS(EditController, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IEditController) DEF_INTERFACE(IEditController2) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected IPtr< IComponentHandler2 > | componentHandler2
ParameterContainer | parameters
Public Attributes inherited from ComponentBase
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr< IConnectionPoint > | peerConnection

## Additional Inherited Members
Static Public Attributes inherited from EditController
static KnobMode | hostKnobMode
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IEditController
static const FUID | iid
Static Public Attributes inherited from IEditController2
static const FUID | iid
Static Public Attributes inherited from IUnitInfo
static const FUID | iid
Static Public Attributes inherited from IMidiMapping
static const FUID | iid

## Member Typedef Documentation

## ◆ UIMessageController

using UIMessageController = AGainUIMessageController<AGainController>

## ◆ UTF8StringPtr

using UTF8StringPtr = VSTGUI::UTF8StringPtr

## ◆ IUIDescription

using IUIDescription = VSTGUI::IUIDescription

## ◆ IController

using IController = VSTGUI::IController

## ◆ VST3Editor

using VST3Editor = VSTGUI::VST3Editor

## Member Function Documentation

## ◆ createInstance()

static FUnknown * createInstance | ( | void * |  | ) |
| inline static

## ◆ initialize()

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Implements IPluginBase.

## ◆ terminate()

tresult terminate | ( |  | ) |
| virtual

Implements IPluginBase.

## ◆ setComponentState()

tresult setComponentState | ( | IBStream * | state | ) |
| virtual

Implements IEditController.

## ◆ createView()

IPlugView * createView | ( | const char * | name | ) |

## ◆ setState()

tresult setState | ( | IBStream * | state | ) |
| virtual

Implements IEditController.

## ◆ getState()

tresult getState | ( | IBStream * | state | ) |
| virtual

Implements IEditController.

## ◆ setParamNormalized()

tresult setParamNormalized | ( | ParamID | tag,
|  | ParamValue | value )
| virtual

Implements IEditController.

## ◆ getParamStringByValue()

tresult getParamStringByValue | ( | ParamID | tag,
|  | ParamValue | valueNormalized,
|  | String128 | string )
| virtual

Implements IEditController.

## ◆ getParamValueByString()

tresult getParamValueByString | ( | ParamID | tag,
|  | TChar * | string,
|  | ParamValue & | valueNormalized )
| virtual

Implements IEditController.

## ◆ receiveText()

tresult receiveText | ( | const char * | text | ) |
| virtual

Reimplemented from ComponentBase.

## ◆ getMidiControllerAssignment()

tresult getMidiControllerAssignment | ( | int32 | busIndex,
|  | int16 | channel,
|  | CtrlNumber | midiControllerNumber,
|  | ParamID & | tag )
| virtual

Implements IMidiMapping.

## ◆ createSubController()

IController * createSubController | ( | UTF8StringPtr | name,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor )

## ◆ DELEGATE_REFCOUNT()

DELEGATE_REFCOUNT | ( | EditController |  | ) | const

## ◆ addUIMessageController()

void addUIMessageController | ( | UIMessageController * | controller | ) |

## ◆ removeUIMessageController()

void removeUIMessageController | ( | UIMessageController * | controller | ) |

## ◆ setDefaultMessageText()

void setDefaultMessageText | ( | String128 | text | ) |

## ◆ getDefaultMessageText()

TChar * getDefaultMessageText | ( |  | ) |

## Member Data Documentation

## ◆ SMTG_OVERRIDE

void** obj SMTG_OVERRIDE

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.